This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 772578

Summary: [ALL LANG] [anaconda] The installation halted when clicking 'Skip' button (select 'Skip entering Installation Number')
Product: Red Hat Enterprise Linux 5 Reporter: Lijun Li <lijli>
Component: kernelAssignee: Virtualization Maintenance <virt-maint>
Status: CLOSED ERRATA QA Contact: Red Hat Kernel QE team <kernel-qe>
Severity: urgent Docs Contact:
Priority: high    
Version: 5.8CC: aalam, jarod, juzhang, khong, lijli, pbonzini, rwilliam, shuang, syeghiay, tburke
Target Milestone: rcKeywords: TestOnly
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-20 23:04:49 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 771592    
Bug Blocks:    
Attachments:
Description Flags
cannot install rhel5.8 snapshot3 build
none
anaconda.log
none
syslog
none
panic.png none

Description Lijun Li 2012-01-09 05:07:02 EST
Description of problem:

 [anaconda] The installation halted when clicking 'Skip' button (Virtual machine, Network Install, select 'Skip entering Installation Number') 

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.Install OS via http://download.englab.nay.redhat.com/pub/rhel/rel-eng/RHEL5.8-Client-20120105.0/5/x86_64/os/ or Snapshot-3.0 build ttp://download.devel.redhat.com/rel-eng/RHEL-5.8-Server-Snapshot-3.0/5/x86_64/os/

2.Select "Skip entering Installation Number".
3.Click "Skip"
  
Actual results:
 The installation halted when clicking 'Skip' button

Expected results:
The anaconda installation should work as normally.

Additional info:
anyway, enter the installation number and click OK, had the same issue for snapshot-3 build.
Comment 1 Lijun Li 2012-01-09 05:22:14 EST
Created attachment 551526 [details]
cannot install rhel5.8 snapshot3 build
Comment 3 Chris Lumens 2012-01-09 18:30:29 EST
There is not enough information in this bug report to determine what the problem is.  When you skip the installation number entry, can you switch to tty2 and grab /tmp/syslog and /tmp/anaconda.log and attach them to this bug report?
Comment 4 Lijun Li 2012-01-09 21:44:08 EST
(In reply to comment #3)
> There is not enough information in this bug report to determine what the
> problem is.  When you skip the installation number entry, can you switch to
> tty2 and grab /tmp/syslog and /tmp/anaconda.log and attach them to this bug
> report?

Select 'Skip entering Installation Number' and click OK, switch to tty2(if click 'Skip' button in the 'Skip' dialog, it's halted and cannot switch to tty2 in virtural machine.), please refer to the attached log files.
Comment 5 Lijun Li 2012-01-09 21:45:25 EST
Created attachment 551746 [details]
anaconda.log
Comment 6 Lijun Li 2012-01-09 21:46:05 EST
Created attachment 551747 [details]
syslog
Comment 7 A S Alam 2012-01-09 23:38:19 EST
while i386 arch installed properly, I am getting problem with x86_64 only with:
anaconda-11.1.2.250-1.x86_64.rpm
Comment 8 Suqin Huang 2012-01-10 05:15:29 EST
not only network, I can reproduce it with cdrom, so remove network install from summary.
Comment 9 David Cantrell 2012-01-11 13:30:07 EST
Was able to reproduce the problem using the latest 5.8 Server nightly on download.devel.redhat.com.  It's a kernel panic.  Attaching a PNG which captures what I can from the virt-manager window.

After you click Skip on the dialog box, anaconda moves on to storage device detection, if that helps at all.
Comment 10 David Cantrell 2012-01-11 13:30:29 EST
Created attachment 552187 [details]
panic.png
Comment 11 Dor Laor 2012-01-12 10:02:13 EST
There are no details to this bug!
Even its not mentioned the kvm is used (I detected it from the logs).

What is the host its running on? rhel5 or rhel6?
What's the guest xml or qemu command line? I see some scsi issues and we do not support scsi (not sure the issues are related).

KVM barely changed in 5.8 so I doubt its a virt issue.

Is this a regression (yes..)? and if it is, what's the last known version it worked?
Comment 13 Paolo Bonzini 2012-01-12 10:51:35 EST
Yes, definitely a dup.  Leaving open as TestOnly just to be sure.
Comment 15 Keqin Hong 2012-01-16 09:00:29 EST
Verified that the bug has been fixed now on x86_64 Client. Steps can be seen at comment 0.
Move to verified.
Comment 16 errata-xmlrpc 2012-02-20 23:04:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0150.html